%define major		0
%define libname		%mklibname squish %{major}
%define develname	%mklibname squish -d

Name:		libsquish
Version:	1.15
Release:	%mkrel 3
Summary:	Open source DXT compression library
License:	MIT
Group:		System/Libraries
URL:		https://sourceforge.net/projects/libsquish/
Source0:	https://download.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tgz
Patch0:		libsquish-cmake_install.patch

BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	libgomp-devel

%description
The libSquish library compresses images with the DXT standard
(also known as S3TC). This standard is mainly used by OpenGL and
DirectX for the lossy compression of RGBA textures.

#------------------------------------------------

%package -n	%{libname}
Summary:	Open source DXT compression library
Group:		System/Libraries

%description -n	%{libname}
The libSquish library compresses images with the DXT standard
(also known as S3TC). This standard is mainly used by OpenGL and
DirectX for the lossy compression of RGBA textures.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	squish-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -c %{name}-%{version}

%build
%cmake \
	-DBUILD_SQUISH_WITH_SSE2=OFF \
	-DBUILD_SHARED_LIBS=ON
%cmake_build

# FIXME: Add to CMake
sed -e 's|@PREFIX@|%{_prefix}|;s|@LIB_PATH@|%{_lib}|' \
	-e 's|Version: 1.14|Version: %{version}|' \
	%{name}.pc.in > %{name}.pc

%install
%cmake_install

install -D -m644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}
%license LICENSE.txt
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog.txt README.txt
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/squish.h


%changelog
* Thu Feb 16 2023 akien <akien> 1.15-3.mga9
+ Revision: 1943367
- Generate and install pkgconfig file

* Thu Mar 17 2022 umeabot <umeabot> 1.15-2.mga9
+ Revision: 1795234
- Mageia 9 Mass Rebuild

* Thu Apr 02 2020 daviddavid <daviddavid> 1.15-1.mga8
+ Revision: 1564014
- initial package libsquish

